Page 1 of 1

rpclient service not run under linux centos 64 bits

PostPosted: 03 May 2011, 16:07
by miguelcrespo
Hi,

I have an "issue" when I run the service rpclient on a Centos 5.3 x64, I get this error:
[mono-addon] [root@backburner_smoke Desktop]# service rpclient restart
/etc/init.d/rpclient: line 85: wait: pid 5 is not a child of this shell
daemon
[ OK /usr/rpclientcmd/rpclientcmd.bin: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/rpclientcmd/rpclientcmd.bin)
I´m deploying a Nuke render farm with 2 linux nodes and i would like this configuration works fine. This is a "special" linux installation because the installation was made from a "install script" from Autodesk because are Burn nodes, and the linux installed is customized from Autodesk, this script install this packages:
# LIST OF PACKAGES TO BE INSTALLED
%packages --resolvedeps
@ admin-tools
@ base
@ base-x
@ development-tools
@ dialup
@ editors
@ engineering-and-scientific
@ gnome-desktop
@ graphical-internet
@ graphics
@ kde-desktop
@ legacy-network-server
@ legacy-software-development
@ mail-server
@ printing
@ smb-server
@ sound-and-video
@ sql-server
@ system-tools
@ text-internet
@ web-server
@ x-software-development

# Add Language support
@ french-support
@ japanese-support
@ chinese-support
@ korean-support


kernel
#kernel-smp
telnet-server
rsh-server
am-utils
mt-st
dstat
lsscsi
expect
#nedit is available in Redhat5.3, not in Redhat 5.2
nedit
emacs
joe
samba-swat
#xpdf
php-pgsql
postgresql
postgresql-server
mod_auth_pgsql
dhcp

#new
tkinter
tix

#RH5
openmotif22
openmotif
openmotif-devel
libXp
libXp-devel
libXi-devel
binutils-devel
blas
lapack

rpm-build
elfutils
elfutils-libs
unifdef

Our Centos which has package libstdc++-4.1.2-44.el5.x86.rpm installed which provides:

libstdc++
libstdc++.so.6
libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(CXXABI_1.3.1)
libstdc++.so.6(GLIBCXX_3.4)
libstdc++.so.6(GLIBCXX_3.4.1)
libstdc++.so.6(GLIBCXX_3.4.2)
libstdc++.so.6(GLIBCXX_3.4.3)
libstdc++.so.6(GLIBCXX_3.4.4)
libstdc++.so.6(GLIBCXX_3.4.5)
libstdc++.so.6(GLIBCXX_3.4.6)
libstdc++.so.6(GLIBCXX_3.4.7)
libstdc++.so.6(GLIBCXX_3.4.8)
libstdc++

but NOT libstdc++.so.6(GLIBCXX_3.4.9) which I need for an application I want to install.

The newer version of libstdc++, used by fedora10 is libstdc++-4.3.2-7.i386.rpm, which provides the same, plus libstdc++.so.6(GLIBCXX_3.4.9) which I need.
I am a little lost with this, I don´t know how to upgrade it or install the GLIBCXX_3.4.9, if someone can help me with this I would be very thankful.
thanks, miguel

Re: rpclient service not run under linux centos 64 bits

PostPosted: 06 Jun 2011, 11:00
by andi
Hi,

You could try to copy the fedora libraries into the client folder. this was successfully tested by an other user.

Greetings
Andreas

Re: rpclient service not run under linux centos 64 bits

PostPosted: 12 Jul 2011, 00:19
by Shoran Support
We have now included that and other libraries in the client redist, so that problem should be solved.